Bug 1152515 - [RFE] Dependency Resolution within content views + associated UI constructs.
Summary: [RFE] Dependency Resolution within content views + associated UI constructs.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
urgent
high with 3 votes vote
Target Milestone: 6.6.0
Assignee: John Mitsch
QA Contact: Lai
URL:
Whiteboard:
: 1095495 1260792 1390389 (view as bug list)
Depends On:
Blocks: 1316897 1629462 CEE_Sat6_Top_BZs, GSS_Sat6_Top_Bugs
TreeView+ depends on / blocked
 
Reported: 2014-10-14 10:49 UTC by Rich Jerrido
Modified: 2019-12-16 04:33 UTC (History)
63 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.rc1-13
Doc Type: Enhancement
Doc Text:
You can configure a Content View to resolve package dependencies on publishing by navigating to a Content View and selecting the Solve Dependencies check box. You can configure two global settings for the dependency solving feature: 1. You can configure the dependency solving feature to be enabled or disabled by default by navigating to Administer > Settings > Content and changing the Content View Dependency Solving Default setting. 2. You can select the dependency solving algorithm that you want to apply by navigating to Administer > Settings > Content and changing the Content View Dependency Solving Algorithm setting. When the Solve Dependencies check box is selected for a Content View, Satellite checks repositories in the Content View for dependency conflicts and overwrites Content View filters to resolve existing conflicts. The dependency solving feature has three caveats: 1. Publishing a Content View with the dependency solving feature enabled takes approximately three times longer. 2. The dependency solving feature does not resolve dependency conflicts across repositories. 3. You must ensure that the Content View with the dependency solving feature enabled works correctly after publishing. Content Views still might have dependency conflicts in an errata workflow and when working with custom repositories.
Clone Of:
Environment:
Last Closed: 2019-10-22 12:46:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
QE Test Result for both conservative and greedy depsolving (134.18 KB, image/png)
2019-07-30 02:17 UTC, Lai
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26206 Urgent Closed Dependency Resolution within content views + associated UI constructs. 2020-01-07 16:10:23 UTC
Pulp Redmine 2478 Normal CLOSED - CURRENTRELEASE Support more conservative dependency solving 2018-09-18 18:04:44 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:01 UTC

Internal Links: 1579395

Description Rich Jerrido 2014-10-14 10:49:27 UTC
Description of problem:
When creating a content view filter, a user can add/remove arbitrary packages/errata to a content view. However, dependency resolution is not completed on the resultant repos. As such, the end user can easily create a non-working CV.

Example: 

That is, if the user creates a content view filter that includes errata 'foo',
and the packages in that errata require 'bar' and 'baz' as dependencies, 'bar' & 'baz' should end up in the resultant content view. 

This RFE requests enabling dependency resolution by default on content views, while giving the user the option via the UI to disable. 

Version-Release number of selected component (if applicable):
foreman-1.6.0.46-1.el6sat.noarch
katello-1.5.0-30.el6sat.noarch
pulp-server-2.4.1-0.7.beta.el6sat.noarch


How reproducible:
100%

Comment 1 RHEL Program Management 2014-10-14 11:03:11 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 13 hprakash 2016-12-23 04:49:45 UTC
considering the growing number of cases for this issue, can we prioritize this at earliest?

Comment 14 Rich Jerrido 2017-03-23 22:49:31 UTC
*** Bug 1095495 has been marked as a duplicate of this bug. ***

Comment 16 Craig Donnelly 2017-05-09 15:22:48 UTC
*** Bug 1260792 has been marked as a duplicate of this bug. ***

Comment 17 pulp-infra@redhat.com 2017-05-09 16:04:43 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 18 pulp-infra@redhat.com 2017-05-09 16:04:53 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 20 Bryan Kearney 2017-07-21 12:45:54 UTC
*** Bug 1390389 has been marked as a duplicate of this bug. ***

Comment 28 pulp-infra@redhat.com 2018-06-27 13:07:04 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 29 pulp-infra@redhat.com 2018-07-17 12:36:08 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 30 pulp-infra@redhat.com 2018-07-17 13:05:46 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 33 pulp-infra@redhat.com 2018-08-20 15:02:35 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 34 pulp-infra@redhat.com 2018-09-18 18:04:46 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 40 pulp-infra@redhat.com 2018-12-15 16:53:02 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 42 John Mitsch 2019-03-01 20:59:10 UTC
Created redmine issue https://projects.theforeman.org/issues/26206 from this bug

Comment 48 Lai 2019-07-30 02:17:12 UTC
Created attachment 1594456 [details]
QE Test Result for both conservative and greedy depsolving

Comment 51 errata-xmlrpc 2019-10-22 12:46:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.